Subject: Re: DSA support for Micrel KSZ8895

From: Andrew Lunn <[email-masked]>
Date: Wed, 23 Aug 2017 14:42:07 +0200

> Any ideas how to do the work in a way to minimize code duplication are
> welcome...

A lot depends on how much duplication there is. mv88e6xxx uses a set
of function points per chip variant. Another option is to put the
common code into a library, and have two drivers. Or if it is the same
registers, but at different locations, you can add a translation
function, which is what i think the b53 driver does.

	  Andrew